Summary:	Auxiliary macros and functions for the C standard library
Name:		c-stdaux
Version:	1.5.0
Release:	1
License:	Apache 2.0 or LGPL v2.1+
Group:		Libraries
Source0:	https://github.com/c-util/c-stdaux/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	c2694ec5ecf3097facbf7be734bea519
URL:		https://c-util.github.io/c-stdaux/
BuildRequires:	meson >= 0.60.0
BuildRequires:	ninja
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.736
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The c-stdaux project contains support macros and auxiliary functions
around the functionality of common C standard libraries. This includes
helpers for the ISO C Standard Library, but also other common
specifications like POSIX or common extended features of widespread
compilers like gcc and clang.

%package devel
Summary:	Auxiliary macros and functions for the C standard library
Group:		Development/Libraries

%description devel
The c-stdaux project contains support macros and auxiliary functions
around the functionality of common C standard libraries. This includes
helpers for the ISO C Standard Library, but also other common
specifications like POSIX or common extended features of widespread
compilers like gcc and clang.

%prep
%setup -q

%build
%meson build

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_npkgconfigdir}

%ninja_install -C build

%{__mv} $RPM_BUILD_ROOT%{_pkgconfigdir}/*.pc $RPM_BUILD_ROOT%{_npkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc AUTHORS NEWS.md README.md
%{_includedir}/c-stdaux*.h
%{_npkgconfigdir}/libcstdaux-1.pc
%changelog
* Wed Jan 10 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/c-stdaux.git;a=log;h=master

* Tue Jan 09 2024 Jan Palus <atler@pld-linux.org> 10d311d
- new

